## ssh-agent-filter 0.2

=== Makefile ===
# Copyright (C) 2013 Timo Weingärtner <timo@tiwe.de>
#
# This file is part of ssh-agent-filter.
#
# ssh-agent-filter is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# ssh-agent-filter is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with ssh-agent-filter.  If not, see <http://www.gnu.org/licenses/>.


CXXFLAGS ?= -g -O2 -Wall -Wold-style-cast

CXXFLAGS += -std=c++11
LDFLAGS += -lstdc++ -lboost_program_options -lboost_filesystem -lboost_system -lnettle

all: ssh-agent-filter.1 afssh.1

%.1: %.1.md
	pandoc -s -w man $< -o $@

ssh-agent-filter.1: ssh-agent-filter
	help2man -n $< -o $@ -N ./$<

ssh-agent-filter: ssh-agent-filter.o

ssh-agent-filter.o: ssh-agent-filter.C rfc4251.h ssh-agent.h version.h

rfc4251_gmp.o: rfc4251_gmp.C rfc4251.h

version.h:
	test ! -d .git || git describe | sed 's/^.*$$/#define SSH_AGENT_FILTER_VERSION "ssh-agent-filter \0"/' > $@

clean:
	$(RM) *.1 ssh-agent-filter *.o
	test ! -d .git || git checkout -f -- version.h

.PHONY: version.h

=== debian/changelog ===
ssh-agent-filter (0.2-1) unstable; urgency=low

  * Initial release (Closes: #722950)

 -- Timo Weingärtner <timo@tiwe.de>  Sun, 15 Sep 2013 14:19:54 +0200

=== debian/control ===
Source: ssh-agent-filter
Section: net
Priority: extra
Maintainer: Timo Weingärtner <timo@tiwe.de>
Build-Depends: debhelper (>= 9), nettle-dev, libgmp-dev, libboost-program-options-dev, libboost-filesystem-dev, bash-completion, help2man, pandoc, pandoc-data
Standards-Version: 3.9.4
Homepage: https://github.com/tiwe-de/ssh-agent-filter
Vcs-Git: git://github.com/tiwe-de/ssh-agent-filter.git -b debian
Vcs-Browser: https://github.com/tiwe-de/ssh-agent-filter/tree/debian

Package: ssh-agent-filter
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, openssh-client
Recommends: whiptail | dialog
Description: filtering proxy for ssh-agent
 This package solves the all-or-nothing problem regarding ssh-agent
 forwarding. It contains:
  * ssh-agent-filter, the filtering proxy itself
  * afssh, a wrapper around ssh-agent-filter and ssh

## ssh-agent-filter 0.3

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 CXXFLAGS += -std=c++11
 LDFLAGS += -lstdc++ -lboost_program_options -lboost_filesystem -lboost_system -lnettle
 
-all: ssh-agent-filter.1 afssh.1
+all: ssh-agent-filter.1 afssh.1 ssh-askpass-noinput.1
 
 %.1: %.1.md
 	pandoc -s -w man $< -o $@

=== debian/changelog ===
ssh-agent-filter (0.3-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.
  * Explicitly use g++-4.7.
  * Build-Depend on pandoc (<< 1.11.1-4) instead of pandoc-data,
    add lintian-overrides for hyphen-used-as-minus-sign.
  * Replace (map|set)::emplace with insert.

 -- Timo Weingärtner <timo@tiwe.de>  Sun, 27 Oct 2013 16:05:16 +0100

ssh-agent-filter (0.3-1) unstable; urgency=low

  * New upstream release.
    - Install new files: ssh-askpass-noinput(.1)
    - Add Recommends: ssh-askpass, zenity
    - Update copyright for new contributor.
  * Allow parallel building.

 -- Timo Weingärtner <timo@tiwe.de>  Sat, 26 Oct 2013 01:51:31 +0200

=== debian/control ===
Source: ssh-agent-filter
Section: net
Priority: extra
Maintainer: Timo Weingärtner <timo@tiwe.de>
Build-Depends: debhelper (>= 9), nettle-dev, libgmp-dev, libboost-program-options-dev, libboost-filesystem-dev, bash-completion, help2man, pandoc (<< 1.11.1-4), g++-4.7
Standards-Version: 3.9.4
Homepage: https://github.com/tiwe-de/ssh-agent-filter
Vcs-Git: git://github.com/tiwe-de/ssh-agent-filter.git -b debian
Vcs-Browser: https://github.com/tiwe-de/ssh-agent-filter/tree/debian

Package: ssh-agent-filter
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, openssh-client
Recommends: whiptail | dialog, ssh-askpass, zenity
Description: filtering proxy for ssh-agent
 This package solves the all-or-nothing problem regarding ssh-agent
 forwarding. It contains:
  * ssh-agent-filter, the filtering proxy itself
  * afssh, a wrapper around ssh-agent-filter and ssh

=== debian/rules ===
#!/usr/bin/make -f

export CXX=g++-4.7

%:
	dh $@ --with bash-completion --parallel

## ssh-agent-filter 0.3.1

=== Makefile ===
--- 
+++ 
@@ -19,7 +19,7 @@
 CXXFLAGS ?= -g -O2 -Wall -Wold-style-cast
 
 CXXFLAGS += -std=c++11
-LDFLAGS += -lstdc++ -lboost_program_options -lboost_filesystem -lboost_system -lnettle
+LDLIBS = -lstdc++ -lboost_program_options -lboost_filesystem -lboost_system -lboost_iostreams -lnettle
 
 all: ssh-agent-filter.1 afssh.1 ssh-askpass-noinput.1

=== debian/changelog ===
ssh-agent-filter (0.3.1-1) unstable; urgency=medium

  * New upstream release.
    - use LDLIBS instead of LDFLAGS (Closes: #729500)
  * New Build-Depends: libboost-iostreams-dev
  * Remove Build-Depends: pandoc-data

 -- Timo Weingärtner <timo@tiwe.de>  Thu, 19 Dec 2013 16:17:24 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: extra
 Maintainer: Timo Weingärtner <timo@tiwe.de>
-Build-Depends: debhelper (>= 9), nettle-dev, libgmp-dev, libboost-program-options-dev, libboost-filesystem-dev, bash-completion, help2man, pandoc (<< 1.11.1-4), g++-4.7
+Build-Depends: debhelper (>= 9), nettle-dev, libgmp-dev, libboost-program-options-dev, libboost-filesystem-dev, libboost-iostreams-dev, bash-completion, help2man, pandoc
 Standards-Version: 3.9.4
 Homepage: https://github.com/tiwe-de/ssh-agent-filter
 Vcs-Git: git://github.com/tiwe-de/ssh-agent-filter.git -b debian

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with bash-completion --parallel

=== debian/watch ===
version=3
https://github.com/tiwe-de/ssh-agent-filter/tags .*/(\d[\d\.]*)\.tar\.gz

## ssh-agent-filter 0.4

=== Makefile ===
--- 
+++ 
@@ -18,6 +18,7 @@
 
 CXXFLAGS ?= -g -O2 -Wall -Wold-style-cast
 
+CPPFLAGS += -D_FILE_OFFSET_BITS=64
 CXXFLAGS += -std=c++11
 LDLIBS = -lstdc++ -lboost_program_options -lboost_filesystem -lboost_system -lboost_iostreams -lnettle
 
@@ -32,7 +33,7 @@
 ssh-agent-filter: ssh-agent-filter.o
 
 ssh-agent-filter.o: ssh-agent-filter.C rfc4251.h ssh-agent.h version.h
-
+rfc4251.o: rfc4251.C rfc4251.h
 rfc4251_gmp.o: rfc4251_gmp.C rfc4251.h
 
 version.h:

=== debian/changelog ===
ssh-agent-filter (0.4-2build2) wily; urgency=medium

  * No-change rebuild using boost 1.58.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 28 Aug 2015 12:56:04 +0000

ssh-agent-filter (0.4-2build1) wily; urgency=medium

  * No-change rebuild for the libnettle6 transition.

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 14 Jun 2015 04:05:30 -0600

ssh-agent-filter (0.4-2) unstable; urgency=medium

  * add debian/patches/0001-workaround-FTBFS-caused-by-doko:
    link with -lpthread(Closes: #759859)
  * Bump Standards-Version.

 -- Timo Weingärtner <timo@tiwe.de>  Tue, 21 Oct 2014 17:26:33 +0200

ssh-agent-filter (0.4-1) unstable; urgency=medium

  * New upstream release.
    + update copyright years
  * Bump Standards-Version.

 -- Timo Weingärtner <timo@tiwe.de>  Tue, 27 May 2014 00:21:18 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Timo Weingärtner <timo@tiwe.de>
 Build-Depends: debhelper (>= 9), nettle-dev, libgmp-dev, libboost-program-options-dev, libboost-filesystem-dev, libboost-iostreams-dev, bash-completion, help2man, pandoc
-Standards-Version: 3.9.4
+Standards-Version: 3.9.6
 Homepage: https://github.com/tiwe-de/ssh-agent-filter
 Vcs-Git: git://github.com/tiwe-de/ssh-agent-filter.git -b debian
 Vcs-Browser: https://github.com/tiwe-de/ssh-agent-filter/tree/debian

## ssh-agent-filter 0.4.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2013 Timo Weingärtner <timo@tiwe.de>
+# Copyright (C) 2013,2015 Timo Weingärtner <timo@tiwe.de>
 #
 # This file is part of ssh-agent-filter.
 #
@@ -20,7 +20,7 @@
 
 CPPFLAGS += -D_FILE_OFFSET_BITS=64
 CXXFLAGS += -std=c++11
-LDLIBS = -lstdc++ -lboost_program_options -lboost_filesystem -lboost_system -lboost_iostreams -lnettle
+LDLIBS = -lstdc++ -lboost_program_options -lboost_filesystem -lboost_system -lboost_iostreams -lnettle -lpthread
 
 all: ssh-agent-filter.1 afssh.1 ssh-askpass-noinput.1
 
@@ -32,9 +32,9 @@
 
 ssh-agent-filter: ssh-agent-filter.o
 
-ssh-agent-filter.o: ssh-agent-filter.C rfc4251.h ssh-agent.h version.h
-rfc4251.o: rfc4251.C rfc4251.h
-rfc4251_gmp.o: rfc4251_gmp.C rfc4251.h
+ssh-agent-filter.o: ssh-agent-filter.C rfc4251.H ssh-agent.h version.h
+rfc4251.o: rfc4251.C rfc4251.H
+rfc4251_gmp.o: rfc4251_gmp.C rfc4251.H
 
 version.h:
 	test ! -d .git || git describe | sed 's/^.*$$/#define SSH_AGENT_FILTER_VERSION "ssh-agent-filter \0"/' > $@

=== debian/changelog ===
ssh-agent-filter (0.4.1-1build3) zesty; urgency=high

  * No change rebuild against boost1.62.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Nov 2016 16:48:14 +0000

ssh-agent-filter (0.4.1-1build2) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:32:37 +0000

ssh-agent-filter (0.4.1-1build1) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Apr 2016 18:50:14 +0000

ssh-agent-filter (0.4.1-1) unstable; urgency=medium

  * New upstream release:
    - call functions with namespace instead of using their names
      (Closes: #797235)
    - drop debian/patches/
  * install bash_completions manually, clean up conffile from prior versions

 -- Timo Weingärtner <timo@tiwe.de>  Sun, 06 Sep 2015 21:40:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: ssh-agent-filter
 Section: net
 Priority: extra
-Maintainer: Timo Weingärtner <timo@tiwe.de>
-Build-Depends: debhelper (>= 9), nettle-dev, libgmp-dev, libboost-program-options-dev, libboost-filesystem-dev, libboost-iostreams-dev, bash-completion, help2man, pandoc
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Timo Weingärtner <timo@tiwe.de>
+Build-Depends: debhelper (>= 9), dh-exec, nettle-dev, libgmp-dev, libboost-program-options-dev, libboost-filesystem-dev, libboost-iostreams-dev, bash-completion, help2man, pandoc
 Standards-Version: 3.9.6
 Homepage: https://github.com/tiwe-de/ssh-agent-filter
 Vcs-Git: git://github.com/tiwe-de/ssh-agent-filter.git -b debian

## ssh-agent-filter 0.4.2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2013,2015 Timo Weingärtner <timo@tiwe.de>
+# Copyright (C) 2013-2016 Timo Weingärtner <timo@tiwe.de>
 #
 # This file is part of ssh-agent-filter.
 #
@@ -27,8 +27,8 @@
 %.1: %.1.md
 	pandoc -s -w man $< -o $@
 
-ssh-agent-filter.1: ssh-agent-filter
-	help2man -n $< -o $@ -N ./$<
+%.1: %.help2man %
+	help2man -i $< -o $@ -N -L C.UTF-8 $(*D)/$(*F)
 
 ssh-agent-filter: ssh-agent-filter.o

=== debian/changelog ===
ssh-agent-filter (0.4.2-1build1) bionic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 17:24:27 +0000

ssh-agent-filter (0.4.2-1) unstable; urgency=medium

  * New upstream release:
    + clear O_NONBLOCK on client sockets
  * use debhelper for dpkg-maintscript-helper
  * debian/rules: enable more hardening/reproducibility/qa build flags
  * remove Build-Depends: bash-completion
  * Standards-Version: 3.9.8
  * replace git: with https: in Vcs-Git:

 -- Timo Weingärtner <timo@tiwe.de>  Sat, 27 Aug 2016 23:36:56 +0200

=== debian/control ===
Source: ssh-agent-filter
Section: net
Priority: extra
Maintainer: Timo Weingärtner <timo@tiwe.de>
Build-Depends: debhelper (>= 9), dh-exec, nettle-dev, libgmp-dev, libboost-program-options-dev, libboost-filesystem-dev, libboost-iostreams-dev, help2man, pandoc
Standards-Version: 3.9.8
Homepage: https://github.com/tiwe-de/ssh-agent-filter
Vcs-Git: https://github.com/tiwe-de/ssh-agent-filter.git -b debian
Vcs-Browser: https://github.com/tiwe-de/ssh-agent-filter/tree/debian

Package: ssh-agent-filter
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, openssh-client
Recommends: whiptail | dialog, ssh-askpass, zenity
Description: filtering proxy for ssh-agent
 This package solves the all-or-nothing problem regarding ssh-agent
 forwarding. It contains:
  * ssh-agent-filter, the filtering proxy itself
  * afssh, a wrapper around ssh-agent-filter and ssh

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all reproducible=+all qa=+bug

%:
	dh $@ --parallel

## ssh-agent-filter 0.5

=== debian/changelog ===
ssh-agent-filter (0.5-2) unstable; urgency=medium

  * fix autopkgtests: allow-sdterr, add Depends: shunit2
  * fix debian/watch

 -- Timo Weingärtner <timo@tiwe.de>  Sun, 14 Jan 2018 18:37:19 +0100

ssh-agent-filter (0.5-1) unstable; urgency=medium

  * release 0.5
    * follow API change in nettle 3.4 (Closes: 884400)
  * Bump Standards-Version and dh compat
  * version Build-Depends: on nettle 3.4 (new API)
  * update upstream urls
  * add upstream testsuite as autopkgtest
  * add Rules-Requires-Root: no

 -- Timo Weingärtner <timo@tiwe.de>  Mon, 08 Jan 2018 22:50:15 +0100

=== debian/control ===
Source: ssh-agent-filter
Section: net
Priority: optional
Maintainer: Timo Weingärtner <timo@tiwe.de>
Build-Depends: debhelper (>= 11~),
               dh-exec,
               help2man,
               libboost-filesystem-dev,
               libboost-iostreams-dev,
               libboost-program-options-dev,
               libgmp-dev,
               nettle-dev (>= 3.4),
               openssh-client <!nocheck>,
               pandoc,
               shunit2 <!nocheck>
Standards-Version: 4.1.3
Rules-Requires-Root: no
Homepage: https://git.tiwe.de/ssh-agent-filter
Vcs-Git: https://git.tiwe.de/ssh-agent-filter.git -b debian
Vcs-Browser: https://git.tiwe.de/ssh-agent-filter.git/log/?h=debian

Package: ssh-agent-filter
Architecture: any
Multi-Arch: foreign
Depends: openssh-client,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: ssh-askpass,
            whiptail | dialog,
            zenity
Description: filtering proxy for ssh-agent
 This package solves the all-or-nothing problem regarding ssh-agent
 forwarding. It contains:
  * ssh-agent-filter, the filtering proxy itself
  * afssh, a wrapper around ssh-agent-filter and ssh

## ssh-agent-filter 0.5.1

=== debian/changelog ===
ssh-agent-filter (0.5.1-1) unstable; urgency=medium

  * fix url to git repo viewer
  * release 0.5.1
    + Partially revert "(re)unify client iostreams", working around
      a problem with newer boost::iostreams and seek() on sockets
  * fix URLs in d/copyright
  * Bump Standards-Version: 4.1.5
  * remove now-unneeded --parallel from dh call

 -- Timo Weingärtner <timo@tiwe.de>  Wed, 18 Jul 2018 21:07:52 +0200

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,9 @@
                openssh-client <!nocheck>,
                pandoc,
                shunit2 <!nocheck>
-Standards-Version: 4.1.3
+Standards-Version: 4.1.5
 Rules-Requires-Root: no
-Homepage: https://git.tiwe.de/ssh-agent-filter
+Homepage: https://git.tiwe.de/ssh-agent-filter.git
 Vcs-Git: https://git.tiwe.de/ssh-agent-filter.git -b debian
 Vcs-Browser: https://git.tiwe.de/ssh-agent-filter.git/log/?h=debian

## ssh-agent-filter 0.5.2

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2013-2016 Timo Weingärtner <timo@tiwe.de>
+# Copyright (C) 2013-2018 Timo Weingärtner <timo@tiwe.de>
 #
 # This file is part of ssh-agent-filter.
 #
@@ -36,6 +36,9 @@
 rfc4251.o: rfc4251.C rfc4251.H
 rfc4251_gmp.o: rfc4251_gmp.C rfc4251.H
 
+test:
+	PATH="$$(pwd):$$PATH" ./tests
+
 version.h:
 	test ! -d .git || git describe | sed 's/^.*$$/#define SSH_AGENT_FILTER_VERSION "ssh-agent-filter \0"/' > $@

=== debian/changelog ===
ssh-agent-filter (0.5.2-1) unstable; urgency=medium

  * release 0.5.2
    + base64_encode: fix two-byte out-of-bounds stack write (Closes: #914501)
  * declare compliance with Debian Policy 4.2.1, no changes needed

 -- Timo Weingärtner <timo@tiwe.de>  Sat, 24 Nov 2018 01:05:54 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                openssh-client <!nocheck>,
                pandoc,
                shunit2 <!nocheck>
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Rules-Requires-Root: no
 Homepage: https://git.tiwe.de/ssh-agent-filter.git
 Vcs-Git: https://git.tiwe.de/ssh-agent-filter.git -b debian

=== debian/tests/control ===
Test-Command: ./tests
Depends: @, shunit2
Restrictions: allow-stderr

=== debian/watch ===
version=3
https://git.tiwe.de/ssh-agent-filter.git/refs/tags/ .*/snapshot/ssh-agent-filter-([^/]+).tar.gz
